#include "alienmodel.h"

AlienModel::AlienModel(QList <tbAlien> maliens, QObject *parent) :
    QAbstractListModel(parent)
{
	aliens = maliens;
}


void AlienModel::refresh(QList <tbAlien> maliens)
{
	aliens = maliens;
}


int AlienModel::rowCount(const QModelIndex &) const
{
	return aliens.count();
}


QVariant AlienModel::data(const QModelIndex &index, int role) const
{
	if (!index.isValid())
		return QVariant();

	if (index.row() >= aliens.size())
		return QVariant();

	if (role == Qt::DisplayRole)
	{
		return aliens.at(index.row()).name;
	}
	return QVariant();
}
